@use "@/styles" as *;
.ngNhp {
  color: var(--white, #FFF);
  /* Section Title/Display 48 */
  font-family: Niramit;
  font-size: 48px;
  font-style: normal;
  font-weight: 700;
  line-height: 100%; /* 48px */
  letter-spacing: -0.96px;
  @include desktop {
    width: 395px;
    margin-bottom: 40px;
  }
}
.linLcVi1 {
  flex: 1;
  letter-spacing: 0.05em;
  line-height: 150%;
}
.type,
.type1 {
  align-self: stretch;
  border-radius: 4px;
  background-color: #fcfcfc;
  border: 1px solid #d4d4d3;
  overflow: hidden;
  display: flex;
  flex-direction: row;
  padding: 10px 8px 10px 16px;
  align-items: center;
  justify-content: flex-start;
}
.type1 {
  margin-bottom: 16px;
}
.inputsTextInputs {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}
.button {
  letter-spacing: 0.05em;
  line-height: 140%;
  font-weight: 600;
  color: #4d311a;
}
.primary {
  border-radius: 4px;
  background-color: #d9b693;
  width: 395px;
  display: flex;
  flex-direction: row;
  padding: 12px 24px;
  box-sizing: border-box;
  align-items: center;
  justify-content: center;
}
.span {
  color: rgba(0, 0, 0, 0.65);
}
.bnChaCTiKhon {
  line-height: 150%;
}
.ngK {
  line-height: 140%;
  font-weight: 600;
  color: #fff;
  cursor: pointer;
}
.bnChaCContainer {
  letter-spacing: 0.05em;
  display: inline-block;
  width: 395px;
  color: #929292;
}
.primaryParent {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  color: #4d311a;
}
.inputsTextInputsParent {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.frameChild {
  align-self: stretch;
  background-color: #929292;
  height: 1px;
}
.rectangleWrapper {
  flex: 1;
  display: flex;
  flex-direction: column;
  padding: 5px 0px 0px;
  align-items: flex-start;
  justify-content: flex-start;
}
.hoc {
  color: var(--neutral-600, #929292);
  /* Body/Body 14 */
  font-family: Inter Tight;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 150%; /* 21px */
  letter-spacing: 0.7px;
  margin: 0;
}
.frameItem {
  flex: 1;
  max-width: 100%;
}
.frameParent {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 4px;
}
.iconLeft2 {
  width: 24px;
  height: 24px;
  overflow: hidden;
  flex-shrink: 0;
}
.button1 {
  flex: 1;
  letter-spacing: 0.05em;
  line-height: 140%;
  font-weight: 600;
}
.secondary {
  align-self: stretch;
  border-radius: 4px;
  border: 1px solid #fff;
  display: flex;
  flex-direction: row;
  padding: 12px 24px 12px 20px;
  align-items: center;
  justify-content: flex-start;
  gap: 8px;
  cursor: pointer;
}
.secondaryParent {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  text-align: center;
  color: #fff;
  .socialButton {
    color: var(--white, #FFF);
    text-align: center;
    /* CTA/14 */
    font-family: Inter Tight;
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 140%; /* 19.6px */
    letter-spacing: 0.7px;
    width: 100%;
    text-align: center;
  }
}
.form {
  width: 395px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  z-index: 1;
  font-size: 14px;
  color: #929292;
  font-family: "Inter Tight";
}
.closeIcon1 {
  position: absolute;
  top: 12px;
  right: 12px;
  width: 32px;
  height: 32px;
  overflow: hidden;
  flex-shrink: 0;
  z-index: 2;
  cursor: pointer;
}
.modal {
  position: relative;
  border-radius: 8px 8px 0px 0px;
  background-color: #0c1d4d;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  padding: 80px 160px;
  box-sizing: border-box;
  align-items: center;
  justify-content: center;
  text-align: left;
  font-size: 48px;
  color: #fff;
  font-family: Niramit;
}
.headingTitleWrapper {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.topSubTitle {
  width: 100%;
  position: relative;
  font-size: 20px;
  letter-spacing: 0.02em;
  line-height: 140%;
  font-family: "Inter Tight";
  color: #d4d4d3;
  text-align: left;
  display: inline-block;
}
.suggestTopicText {
  width: 100%;
  position: relative;
  font-size: 48px;
  letter-spacing: -0.02em;
  line-height: 100%;
  display: inline-block;
  font-family: Niramit;
  color: #fff;
  text-align: left;
}
.quizContinueButton {
  max-width: 183px;
  position: relative;
  border-radius: 4px;
  background-color: #d9b693;
  width: 100%;
  display: flex;
  flex-direction: row;
  padding: 12px 24px;
  box-sizing: border-box;
  align-items: center;
  justify-content: center;
  text-align: left;
  font-size: 14px;
  color: #4d311a;
  font-family: "Inter Tight";
}
.suggestPostByInfo {
  margin-top: 0;
  color: var(--white, #FFF);
  font-family: Niramit;
  font-style: normal;
  font-weight: 700;
  line-height: 48px;
  letter-spacing: -0.96px;
  @include desktop {
    font-size: 48px;
  }
}
.footerQuizWrapper {
  display: flex;
  flex-direction: column;
  gap: 24px;
  width: 100%;
}
.selectSection {
  width: 100%;
  display: flex;
  flex-direction: column;
}
.buttonWrapper {
  display: flex;
  gap: 24px;
}
.skipTextWrapper {
  border-radius: 4px;
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  text-align: left;
  font-size: 14px;
  color: #fff;
  font-family: "Inter Tight";
}
.skipText {
  position: relative;
  letter-spacing: 0.05em;
  line-height: 140%;
  font-weight: 600;
  cursor: pointer;
}
.inputWrapper {
  @include desktop {
    width: 395px
  }
  .inputElement {
    display: flex;
    flex-direction: column;
  }
}
.errorMessage {
  font-size: 12px;
  color: red;
}
.input {
  color: #929292;
  font-size: 14px;
  font-family: Inter Tight;
  font-weight: 400;
  line-height: 21px;
  letter-spacing: 0.70px;
  word-wrap: break-word;
  border-radius: 4px;
  width: 100%;
  background: white;
  .MuiFormControlLabel-label {
    font-size: 14px;
  }
}

.label {
  color: white;
  font-size: 14px;
  font-family: Inter Tight;
  font-weight: 600;
  line-height: 19.60px;
  letter-spacing: 0.70px;
  word-wrap: break-word;
  @include desktop {
    margin-bottom: 4px;
  }
}
.authWrapper {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  @include desktop {
    width: 600px;
  }
}
.confirmationBox {
  @include desktop {
    width: 515px;
  }
  .checkEmailText {
    color: var(--white, #FFF);
    text-align: center;
    /* Section Title/Display 48 */
    font-family: Niramit;
    font-size: 48px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%; /* 48px */
    letter-spacing: -0.96px;
    @include desktop {
      margin: 16px 0;
    }
  }
  .checkEmailSubText {
    color: var(--neutral-300, #F7F7F7);
    text-align: center;
    /* Body/Sub-text 16 */
    font-family: Inter Tight;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%; /* 22.4px */
    letter-spacing: 0.32px;
  }
}